# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit fcaps go-module user

EGO_SUM=(
	"cloud.google.com/go v0.26.0/go.mod"
	"cloud.google.com/go v0.31.0/go.mod"
	"cloud.google.com/go v0.34.0/go.mod"
	"cloud.google.com/go v0.37.0/go.mod"
	"cloud.google.com/go v0.112.1"
	"cloud.google.com/go/auth v0.4.1"
	"cloud.google.com/go/auth v0.4.1/go.mod"
	"cloud.google.com/go/auth/oauth2adapt v0.2.2"
	"cloud.google.com/go/auth/oauth2adapt v0.2.2/go.mod"
	"cloud.google.com/go/compute v1.23.3"
	"cloud.google.com/go/compute/metadata v0.5.0"
	"cloud.google.com/go/compute/metadata v0.5.0/go.mod"
	"cloud.google.com/go/iam v1.1.8"
	"cloud.google.com/go/iam v1.1.8/go.mod"
	"cloud.google.com/go/kms v1.16.0"
	"cloud.google.com/go/kms v1.16.0/go.mod"
	"cloud.google.com/go/longrunning v0.5.7"
	"cloud.google.com/go/longrunning v0.5.7/go.mod"
	"dario.cat/mergo v1.0.1"
	"dario.cat/mergo v1.0.1/go.mod"
	"dmitri.shuralyov.com/app/changes v0.0.0-20180602232624-0a106ad413e3/go.mod"
	"dmitri.shuralyov.com/html/belt v0.0.0-20180602232347-f7d459c86be0/go.mod"
	"dmitri.shuralyov.com/service/change v0.0.0-20181023043359-a85b471d5412/go.mod"
	"dmitri.shuralyov.com/state v0.0.0-20180228185332-28bcc343414c/go.mod"
	"filippo.io/edwards25519 v1.1.0"
	"filippo.io/edwards25519 v1.1.0/go.mod"
	"git.apache.org/thrift.git v0.0.0-20180902110319-2566ecd5d999/go.mod"
	"github.com/!andreas!briese/bbloom v0.0.0-20190825152654-46b345b51c96"
	"github.com/!andreas!briese/bbloom v0.0.0-20190825152654-46b345b51c96/go.mod"
	"github.com/!burnt!sushi/toml v0.3.1/go.mod"
	"github.com/!burnt!sushi/toml v1.3.2/go.mod"
	"github.com/!burnt!sushi/toml v1.4.0"
	"github.com/!burnt!sushi/toml v1.4.0/go.mod"
	"github.com/!masterminds/goutils v1.1.1"
	"github.com/!masterminds/goutils v1.1.1/go.mod"
	"github.com/!masterminds/semver/v3 v3.1.1/go.mod"
	"github.com/!masterminds/semver/v3 v3.3.0"
	"github.com/!masterminds/semver/v3 v3.3.0/go.mod"
	"github.com/!masterminds/sprig/v3 v3.3.0"
	"github.com/!masterminds/sprig/v3 v3.3.0/go.mod"
	"github.com/!microsoft/go-winio v0.6.0"
	"github.com/!microsoft/go-winio v0.6.0/go.mod"
	"github.com/!one!of!one/xxhash v1.2.2"
	"github.com/!one!of!one/xxhash v1.2.2/go.mod"
	"github.com/alecthomas/assert/v2 v2.7.0"
	"github.com/alecthomas/assert/v2 v2.7.0/go.mod"
	"github.com/alecthomas/chroma/v2 v2.2.0/go.mod"
	"github.com/alecthomas/chroma/v2 v2.14.0"
	"github.com/alecthomas/chroma/v2 v2.14.0/go.mod"
	"github.com/alecthomas/repr v0.0.0-20220113201626-b1b626ac65ae/go.mod"
	"github.com/alecthomas/repr v0.4.0"
	"github.com/alecthomas/repr v0.4.0/go.mod"
	"github.com/anmitsu/go-shlex v0.0.0-20161002113705-648efa622239/go.mod"
	"github.com/antlr4-go/antlr/v4 v4.13.0"
	"github.com/antlr4-go/antlr/v4 v4.13.0/go.mod"
	"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
	"github.com/aryann/difflib v0.0.0-20210328193216-ff5ff6dc229b"
	"github.com/aryann/difflib v0.0.0-20210328193216-ff5ff6dc229b/go.mod"
	"github.com/aws/aws-sdk-go-v2 v1.26.1"
	"github.com/aws/aws-sdk-go-v2 v1.26.1/go.mod"
	"github.com/aws/aws-sdk-go-v2/config v1.27.13"
	"github.com/aws/aws-sdk-go-v2/config v1.27.13/go.mod"
	"github.com/aws/aws-sdk-go-v2/credentials v1.17.13"
	"github.com/aws/aws-sdk-go-v2/credentials v1.17.13/go.mod"
	"github.com/aws/aws-sdk-go-v2/feature/ec2/imds v1.16.1"
	"github.com/aws/aws-sdk-go-v2/feature/ec2/imds v1.16.1/go.mod"
	"github.com/aws/aws-sdk-go-v2/internal/configsources v1.3.5"
	"github.com/aws/aws-sdk-go-v2/internal/configsources v1.3.5/go.mod"
	"github.com/aws/aws-sdk-go-v2/internal/endpoints/v2 v2.6.5"
	"github.com/aws/aws-sdk-go-v2/internal/endpoints/v2 v2.6.5/go.mod"
	"github.com/aws/aws-sdk-go-v2/internal/ini v1.8.0"
	"github.com/aws/aws-sdk-go-v2/internal/ini v1.8.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/internal/accept-encoding v1.11.2"
	"github.com/aws/aws-sdk-go-v2/service/internal/accept-encoding v1.11.2/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/internal/presigned-url v1.11.7"
	"github.com/aws/aws-sdk-go-v2/service/internal/presigned-url v1.11.7/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/kms v1.31.1"
	"github.com/aws/aws-sdk-go-v2/service/kms v1.31.1/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/sso v1.20.6"
	"github.com/aws/aws-sdk-go-v2/service/sso v1.20.6/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/ssooidc v1.24.0"
	"github.com/aws/aws-sdk-go-v2/service/ssooidc v1.24.0/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/sts v1.28.7"
	"github.com/aws/aws-sdk-go-v2/service/sts v1.28.7/go.mod"
	"github.com/aws/smithy-go v1.20.2"
	"github.com/aws/smithy-go v1.20.2/go.mod"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
	"github.com/beorn7/perks v1.0.1"
	"github.com/beorn7/perks v1.0.1/go.mod"
	"github.com/bradfitz/go-smtpd v0.0.0-20170404230938-deb6d6237625/go.mod"
	"github.com/buger/jsonparser v0.0.0-20181115193947-bf1c66bbce23/go.mod"
	"github.com/caddyserver/certmagic v0.21.6"
	"github.com/caddyserver/certmagic v0.21.6/go.mod"
	"github.com/caddyserver/zerossl v0.1.3"
	"github.com/caddyserver/zerossl v0.1.3/go.mod"
	"github.com/cenkalti/backoff/v4 v4.3.0"
	"github.com/cenkalti/backoff/v4 v4.3.0/go.mod"
	"github.com/cespare/xxhash v1.1.0"
	"github.com/cespare/xxhash v1.1.0/go.mod"
	"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
	"github.com/cespare/xxhash/v2 v2.3.0"
	"github.com/cespare/xxhash/v2 v2.3.0/go.mod"
	"github.com/chzyer/logex v1.1.10/go.mod"
	"github.com/chzyer/logex v1.2.1"
	"github.com/chzyer/logex v1.2.1/go.mod"
	"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
	"github.com/chzyer/readline v1.5.1"
	"github.com/chzyer/readline v1.5.1/go.mod"
	"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
	"github.com/chzyer/test v1.0.0"
	"github.com/chzyer/test v1.0.0/go.mod"
	"github.com/client9/misspell v0.3.4/go.mod"
	"github.com/cockroachdb/apd v1.1.0"
	"github.com/cockroachdb/apd v1.1.0/go.mod"
	"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
	"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
	"github.com/coreos/go-semver v0.2.0/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20181012123002-c6f51f82210d/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20190321100706-95778dfbb74e/go.mod"
	"github.com/coreos/go-systemd v0.0.0-20190719114852-fd7a80b32e1f/go.mod"
	"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.2/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.4"
	"github.com/cpuguy83/go-md2man/v2 v2.0.4/go.mod"
	"github.com/creack/pty v1.1.7/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/dgraph-io/badger v1.6.2"
	"github.com/dgraph-io/badger v1.6.2/go.mod"
	"github.com/dgraph-io/badger/v2 v2.2007.4"
	"github.com/dgraph-io/badger/v2 v2.2007.4/go.mod"
	"github.com/dgraph-io/ristretto v0.0.2/go.mod"
	"github.com/dgraph-io/ristretto v0.0.3-0.20200630154024-f66de99634de/go.mod"
	"github.com/dgraph-io/ristretto v0.1.0"
	"github.com/dgraph-io/ristretto v0.1.0/go.mod"
	"github.com/dgryski/go-farm v0.0.0-20190423205320-6a90982ecee2/go.mod"
	"github.com/dgryski/go-farm v0.0.0-20200201041132-a6ae2369ad13"
	"github.com/dgryski/go-farm v0.0.0-20200201041132-a6ae2369ad13/go.mod"
	"github.com/dlclark/regexp2 v1.4.0/go.mod"
	"github.com/dlclark/regexp2 v1.7.0/go.mod"
	"github.com/dlclark/regexp2 v1.11.0"
	"github.com/dlclark/regexp2 v1.11.0/go.mod"
	"github.com/dustin/go-humanize v1.0.0/go.mod"
	"github.com/dustin/go-humanize v1.0.1"
	"github.com/dustin/go-humanize v1.0.1/go.mod"
	"github.com/felixge/httpsnoop v1.0.4"
	"github.com/felixge/httpsnoop v1.0.4/go.mod"
	"github.com/flynn/go-shlex v0.0.0-20150515145356-3f9db97f8568/go.mod"
	"github.com/francoispqt/gojay v1.2.13"
	"github.com/francoispqt/gojay v1.2.13/go.mod"
	"github.com/frankban/quicktest v1.14.6"
	"github.com/frankban/quicktest v1.14.6/go.mod"
	"github.com/fsnotify/fsnotify v1.4.7/go.mod"
	"github.com/fxamacker/cbor/v2 v2.6.0"
	"github.com/fxamacker/cbor/v2 v2.6.0/go.mod"
	"github.com/ghodss/yaml v1.0.0/go.mod"
	"github.com/gliderlabs/ssh v0.1.1/go.mod"
	"github.com/go-chi/chi/v5 v5.0.12"
	"github.com/go-chi/chi/v5 v5.0.12/go.mod"
	"github.com/go-errors/errors v1.0.1/go.mod"
	"github.com/go-jose/go-jose/v3 v3.0.3"
	"github.com/go-jose/go-jose/v3 v3.0.3/go.mod"
	"github.com/go-kit/kit v0.4.0/go.mod"
	"github.com/go-kit/kit v0.13.0"
	"github.com/go-kit/kit v0.13.0/go.mod"
	"github.com/go-kit/log v0.1.0/go.mod"
	"github.com/go-kit/log v0.2.1"
	"github.com/go-kit/log v0.2.1/go.mod"
	"github.com/go-logfmt/logfmt v0.5.0/go.mod"
	"github.com/go-logfmt/logfmt v0.5.1/go.mod"
	"github.com/go-logfmt/logfmt v0.6.0"
	"github.com/go-logfmt/logfmt v0.6.0/go.mod"
	"github.com/go-logr/logr v1.2.2/go.mod"
	"github.com/go-logr/logr v1.4.2"
	"github.com/go-logr/logr v1.4.2/go.mod"
	"github.com/go-logr/stdr v1.2.2"
	"github.com/go-logr/stdr v1.2.2/go.mod"
	"github.com/go-sql-driver/mysql v1.7.1"
	"github.com/go-sql-driver/mysql v1.7.1/go.mod"
	"github.com/go-stack/stack v1.6.0/go.mod"
	"github.com/go-stack/stack v1.8.0/go.mod"
	"github.com/go-task/slim-sprig v0.0.0-20230315185526-52ccab3ef572"
	"github.com/go-task/slim-sprig v0.0.0-20230315185526-52ccab3ef572/go.mod"
	"github.com/gofrs/uuid v4.0.0+incompatible"
	"github.com/gofrs/uuid v4.0.0+incompatible/go.mod"
	"github.com/gogo/protobuf v1.1.1/go.mod"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
	"github.com/golang/glog v1.2.2"
	"github.com/golang/glog v1.2.2/go.mod"
	"github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da"
	"github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da/go.mod"
	"github.com/golang/lint v0.0.0-20180702182130-06c8688daad7/go.mod"
	"github.com/golang/mock v1.1.1/go.mod"
	"github.com/golang/mock v1.2.0/go.mod"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/golang/protobuf v1.3.1/go.mod"
	"github.com/golang/protobuf v1.5.4"
	"github.com/golang/protobuf v1.5.4/go.mod"
	"github.com/golang/snappy v0.0.3/go.mod"
	"github.com/golang/snappy v0.0.4"
	"github.com/golang/snappy v0.0.4/go.mod"
	"github.com/google/btree v0.0.0-20180813153112-4030bb1f1f0c/go.mod"
	"github.com/google/btree v1.1.2"
	"github.com/google/btree v1.1.2/go.mod"
	"github.com/google/cel-go v0.21.0"
	"github.com/google/cel-go v0.21.0/go.mod"
	"github.com/google/certificate-transparency-go v1.0.21/go.mod"
	"github.com/google/certificate-transparency-go v1.1.8-0.20240110162603-74a5dd331745"
	"github.com/google/certificate-transparency-go v1.1.8-0.20240110162603-74a5dd331745/go.mod"
	"github.com/google/go-cmp v0.2.0/go.mod"
	"github.com/google/go-cmp v0.5.9/go.mod"
	"github.com/google/go-cmp v0.6.0"
	"github.com/google/go-cmp v0.6.0/go.mod"
	"github.com/google/go-github v17.0.0+incompatible/go.mod"
	"github.com/google/go-querystring v1.0.0/go.mod"
	"github.com/google/go-tpm v0.9.0"
	"github.com/google/go-tpm v0.9.0/go.mod"
	"github.com/google/go-tpm-tools v0.4.4"
	"github.com/google/go-tpm-tools v0.4.4/go.mod"
	"github.com/google/go-tspi v0.3.0"
	"github.com/google/go-tspi v0.3.0/go.mod"
	"github.com/google/martian v2.1.0+incompatible/go.mod"
	"github.com/google/pprof v0.0.0-20181206194817-3ea8567a2e57/go.mod"
	"github.com/google/pprof v0.0.0-20231212022811-ec68065c825e"
	"github.com/google/pprof v0.0.0-20231212022811-ec68065c825e/go.mod"
	"github.com/google/renameio v0.1.0/go.mod"
	"github.com/google/s2a-go v0.1.7"
	"github.com/google/s2a-go v0.1.7/go.mod"
	"github.com/google/uuid v1.6.0"
	"github.com/google/uuid v1.6.0/go.mod"
	"github.com/googleapis/enterprise-certificate-proxy v0.3.2"
	"github.com/googleapis/enterprise-certificate-proxy v0.3.2/go.mod"
	"github.com/googleapis/gax-go v2.0.0+incompatible"
	"github.com/googleapis/gax-go v2.0.0+incompatible/go.mod"
	"github.com/googleapis/gax-go/v2 v2.0.3/go.mod"
	"github.com/googleapis/gax-go/v2 v2.12.4"
	"github.com/googleapis/gax-go/v2 v2.12.4/go.mod"
	"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
	"github.com/gregjones/httpcache v0.0.0-20180305231024-9cad4c3443a7/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway v1.5.0/go.mod"
	"github.com/grpc-ecosystem/grpc-gateway/v2 v2.22.0"
	"github.com/grpc-ecosystem/grpc-gateway/v2 v2.22.0/go.mod"
	"github.com/hashicorp/hcl v1.0.0/go.mod"
	"github.com/hexops/gotextdiff v1.0.3"
	"github.com/hexops/gotextdiff v1.0.3/go.mod"
	"github.com/huandu/xstrings v1.5.0"
	"github.com/huandu/xstrings v1.5.0/go.mod"
	"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
	"github.com/inconshreveable/mousetrap v1.1.0"
	"github.com/inconshreveable/mousetrap v1.1.0/go.mod"
	"github.com/jackc/chunkreader v1.0.0/go.mod"
	"github.com/jackc/chunkreader/v2 v2.0.0/go.mod"
	"github.com/jackc/chunkreader/v2 v2.0.1"
	"github.com/jackc/chunkreader/v2 v2.0.1/go.mod"
	"github.com/jackc/pgconn v0.0.0-20190420214824-7e0022ef6ba3/go.mod"
	"github.com/jackc/pgconn v0.0.0-20190824142844-760dd75542eb/go.mod"
	"github.com/jackc/pgconn v0.0.0-20190831204454-2fabfa3c18b7/go.mod"
	"github.com/jackc/pgconn v1.8.0/go.mod"
	"github.com/jackc/pgconn v1.9.0/go.mod"
	"github.com/jackc/pgconn v1.9.1-0.20210724152538-d89c8390a530/go.mod"
	"github.com/jackc/pgconn v1.14.3"
	"github.com/jackc/pgconn v1.14.3/go.mod"
	"github.com/jackc/pgio v1.0.0"
	"github.com/jackc/pgio v1.0.0/go.mod"
	"github.com/jackc/pgmock v0.0.0-20190831213851-13a1b77aafa2/go.mod"
	"github.com/jackc/pgmock v0.0.0-20201204152224-4fe30f7445fd/go.mod"
	"github.com/jackc/pgmock v0.0.0-20210724152146-4ad1a8207f65"
	"github.com/jackc/pgmock v0.0.0-20210724152146-4ad1a8207f65/go.mod"
	"github.com/jackc/pgpassfile v1.0.0"
	"github.com/jackc/pgpassfile v1.0.0/go.mod"
	"github.com/jackc/pgproto3 v1.1.0/go.mod"
	"github.com/jackc/pgproto3/v2 v2.0.0-alpha1.0.20190420180111-c116219b62db/go.mod"
	"github.com/jackc/pgproto3/v2 v2.0.0-alpha1.0.20190609003834-432c2951c711/go.mod"
	"github.com/jackc/pgproto3/v2 v2.0.0-rc3/go.mod"
	"github.com/jackc/pgproto3/v2 v2.0.0-rc3.0.20190831210041-4c03ce451f29/go.mod"
	"github.com/jackc/pgproto3/v2 v2.0.6/go.mod"
	"github.com/jackc/pgproto3/v2 v2.1.1/go.mod"
	"github.com/jackc/pgproto3/v2 v2.3.3"
	"github.com/jackc/pgproto3/v2 v2.3.3/go.mod"
	"github.com/jackc/pgservicefile v0.0.0-20200714003250-2b9c44734f2b/go.mod"
	"github.com/jackc/pgservicefile v0.0.0-20221227161230-091c0ba34f0a"
	"github.com/jackc/pgservicefile v0.0.0-20221227161230-091c0ba34f0a/go.mod"
	"github.com/jackc/pgtype v0.0.0-20190421001408-4ed0de4755e0/go.mod"
	"github.com/jackc/pgtype v0.0.0-20190824184912-ab885b375b90/go.mod"
	"github.com/jackc/pgtype v0.0.0-20190828014616-a8802b16cc59/go.mod"
	"github.com/jackc/pgtype v1.8.1-0.20210724151600-32e20a603178/go.mod"
	"github.com/jackc/pgtype v1.14.0"
	"github.com/jackc/pgtype v1.14.0/go.mod"
	"github.com/jackc/pgx/v4 v4.0.0-20190420224344-cc3461e65d96/go.mod"
	"github.com/jackc/pgx/v4 v4.0.0-20190421002000-1b8f0016e912/go.mod"
	"github.com/jackc/pgx/v4 v4.0.0-pre1.0.20190824185557-6972a5742186/go.mod"
	"github.com/jackc/pgx/v4 v4.12.1-0.20210724153913-640aa07df17c/go.mod"
	"github.com/jackc/pgx/v4 v4.18.3"
	"github.com/jackc/pgx/v4 v4.18.3/go.mod"
	"github.com/jackc/puddle v0.0.0-20190413234325-e4ced69a3a2b/go.mod"
	"github.com/jackc/puddle v0.0.0-20190608224051-11cab39313c9/go.mod"
	"github.com/jackc/puddle v1.1.3/go.mod"
	"github.com/jellevandenhooff/dkim v0.0.0-20150330215556-f50fe3d243e1/go.mod"
	"github.com/jessevdk/go-flags v1.4.0/go.mod"
	"github.com/json-iterator/go v1.1.6/go.mod"
	"github.com/jstemmer/go-junit-report v0.0.0-20190106144839-af01ea7f8024/go.mod"
	"github.com/kisielk/gotool v1.0.0/go.mod"
	"github.com/klauspost/compress v1.12.3/go.mod"
	"github.com/klauspost/compress v1.17.11"
	"github.com/klauspost/compress v1.17.11/go.mod"
	"github.com/klauspost/cpuid/v2 v2.2.9"
	"github.com/klauspost/cpuid/v2 v2.2.9/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.2/go.mod"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pretty v0.2.0/go.mod"
	"github.com/kr/pretty v0.3.1"
	"github.com/kr/pretty v0.3.1/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/pty v1.1.3/go.mod"
	"github.com/kr/pty v1.1.8/go.mod"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kr/text v0.2.0"
	"github.com/kr/text v0.2.0/go.mod"
	"github.com/lib/pq v1.0.0/go.mod"
	"github.com/lib/pq v1.1.0/go.mod"
	"github.com/lib/pq v1.2.0/go.mod"
	"github.com/lib/pq v1.10.2/go.mod"
	"github.com/lib/pq v1.10.9"
	"github.com/lib/pq v1.10.9/go.mod"
	"github.com/libdns/libdns v0.2.2"
	"github.com/libdns/libdns v0.2.2/go.mod"
	"github.com/lunixbochs/vtclean v1.0.0/go.mod"
	"github.com/magiconair/properties v1.8.0/go.mod"
	"github.com/mailru/easyjson v0.0.0-20190312143242-1de009706dbe/go.mod"
	"github.com/manifoldco/promptui v0.9.0"
	"github.com/manifoldco/promptui v0.9.0/go.mod"
	"github.com/mattn/go-colorable v0.1.1/go.mod"
	"github.com/mattn/go-colorable v0.1.6/go.mod"
	"github.com/mattn/go-colorable v0.1.13"
	"github.com/mattn/go-colorable v0.1.13/go.mod"
	"github.com/mattn/go-isatty v0.0.5/go.mod"
	"github.com/mattn/go-isatty v0.0.7/go.mod"
	"github.com/mattn/go-isatty v0.0.12/go.mod"
	"github.com/mattn/go-isatty v0.0.16/go.mod"
	"github.com/mattn/go-isatty v0.0.20"
	"github.com/mattn/go-isatty v0.0.20/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
	"github.com/mgutz/ansi v0.0.0-20200706080929-d51e80ef957d"
	"github.com/mgutz/ansi v0.0.0-20200706080929-d51e80ef957d/go.mod"
	"github.com/mholt/acmez/v3 v3.0.0"
	"github.com/mholt/acmez/v3 v3.0.0/go.mod"
	"github.com/microcosm-cc/bluemonday v1.0.1/go.mod"
	"github.com/miekg/dns v1.1.62"
	"github.com/miekg/dns v1.1.62/go.mod"
	"github.com/mitchellh/copystructure v1.2.0"
	"github.com/mitchellh/copystructure v1.2.0/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/go-ps v1.0.0"
	"github.com/mitchellh/go-ps v1.0.0/go.mod"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/mitchellh/reflectwalk v1.0.2"
	"github.com/mitchellh/reflectwalk v1.0.2/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
	"github.com/modern-go/reflect2 v1.0.1/go.mod"
	"github.com/neelance/astrewrite v0.0.0-20160511093645-99348263ae86/go.mod"
	"github.com/neelance/sourcemap v0.0.0-20151028013722-8c68805598ab/go.mod"
	"github.com/onsi/ginkgo/v2 v2.13.2"
	"github.com/onsi/ginkgo/v2 v2.13.2/go.mod"
	"github.com/onsi/gomega v1.29.0"
	"github.com/onsi/gomega v1.29.0/go.mod"
	"github.com/openzipkin/zipkin-go v0.1.1/go.mod"
	"github.com/pelletier/go-toml v1.2.0/go.mod"
	"github.com/peterbourgon/diskv/v3 v3.0.1"
	"github.com/peterbourgon/diskv/v3 v3.0.1/go.mod"
	"github.com/pires/go-proxyproto v0.7.1-0.20240628150027-b718e7ce4964"
	"github.com/pires/go-proxyproto v0.7.1-0.20240628150027-b718e7ce4964/go.mod"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pkg/errors v0.9.1"
	"github.com/pkg/errors v0.9.1/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/prashantv/gostub v1.1.0"
	"github.com/prashantv/gostub v1.1.0/go.mod"
	"github.com/prometheus/client_golang v0.8.0/go.mod"
	"github.com/prometheus/client_golang v1.19.1"
	"github.com/prometheus/client_golang v1.19.1/go.mod"
	"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
	"github.com/prometheus/client_model v0.5.0"
	"github.com/prometheus/client_model v0.5.0/go.mod"
	"github.com/prometheus/common v0.0.0-20180801064454-c7de2306084e/go.mod"
	"github.com/prometheus/common v0.48.0"
	"github.com/prometheus/common v0.48.0/go.mod"
	"github.com/prometheus/procfs v0.0.0-20180725123919-05ee40e3a273/go.mod"
	"github.com/prometheus/procfs v0.12.0"
	"github.com/prometheus/procfs v0.12.0/go.mod"
	"github.com/quic-go/qpack v0.5.1"
	"github.com/quic-go/qpack v0.5.1/go.mod"
	"github.com/quic-go/quic-go v0.48.2"
	"github.com/quic-go/quic-go v0.48.2/go.mod"
	"github.com/rogpeppe/go-internal v1.3.0/go.mod"
	"github.com/rogpeppe/go-internal v1.13.1"
	"github.com/rogpeppe/go-internal v1.13.1/go.mod"
	"github.com/rs/xid v1.2.1/go.mod"
	"github.com/rs/xid v1.5.0"
	"github.com/rs/xid v1.5.0/go.mod"
	"github.com/rs/zerolog v1.13.0/go.mod"
	"github.com/rs/zerolog v1.15.0/go.mod"
	"github.com/russross/blackfriday v1.5.2/go.mod"
	"github.com/russross/blackfriday/v2 v2.1.0"
	"github.com/russross/blackfriday/v2 v2.1.0/go.mod"
	"github.com/satori/go.uuid v1.2.0/go.mod"
	"github.com/schollz/jsonstore v1.1.0"
	"github.com/schollz/jsonstore v1.1.0/go.mod"
	"github.com/sergi/go-diff v1.0.0/go.mod"
	"github.com/shopspring/decimal v0.0.0-20180709203117-cd690d0c9e24/go.mod"
	"github.com/shopspring/decimal v1.2.0/go.mod"
	"github.com/shopspring/decimal v1.4.0"
	"github.com/shopspring/decimal v1.4.0/go.mod"
	"github.com/shurcoo!l/component v0.0.0-20170202220835-f88ec8f54cc4/go.mod"
	"github.com/shurcoo!l/events v0.0.0-20181021180414-410e4ca65f48/go.mod"
	"github.com/shurcoo!l/github_flavored_markdown v0.0.0-20181002035957-2122de532470/go.mod"
	"github.com/shurcoo!l/go v0.0.0-20180423040247-9e1955d9fb6e/go.mod"
	"github.com/shurcoo!l/go-goon v0.0.0-20170922171312-37c2f522c041/go.mod"
	"github.com/shurcoo!l/gofontwoff v0.0.0-20180329035133-29b52fc0a18d/go.mod"
	"github.com/shurcoo!l/gopherjslib v0.0.0-20160914041154-feb6d3990c2c/go.mod"
	"github.com/shurcoo!l/highlight_diff v0.0.0-20170515013008-09bb4053de1b/go.mod"
	"github.com/shurcoo!l/highlight_go v0.0.0-20181028180052-98c3abbbae20/go.mod"
	"github.com/shurcoo!l/home v0.0.0-20181020052607-80b7ffcb30f9/go.mod"
	"github.com/shurcoo!l/htmlg v0.0.0-20170918183704-d01228ac9e50/go.mod"
	"github.com/shurcoo!l/httperror v0.0.0-20170206035902-86b7830d14cc/go.mod"
	"github.com/shurcoo!l/httpfs v0.0.0-20171119174359-809beceb2371/go.mod"
	"github.com/shurcoo!l/httpgzip v0.0.0-20180522190206-b1c53ac65af9/go.mod"
	"github.com/shurcoo!l/issues v0.0.0-20181008053335-6292fdc1e191/go.mod"
	"github.com/shurcoo!l/issuesapp v0.0.0-20180602232740-048589ce2241/go.mod"
	"github.com/shurcoo!l/notifications v0.0.0-20181007000457-627ab5aea122/go.mod"
	"github.com/shurcoo!l/octicon v0.0.0-20181028054416-fa4f57f9efb2/go.mod"
	"github.com/shurcoo!l/reactions v0.0.0-20181006231557-f2e0b4ca5b82/go.mod"
	"github.com/shurcoo!l/sanitized_anchor_name v0.0.0-20170918181015-86672fcb3f95/go.mod"
	"github.com/shurcoo!l/sanitized_anchor_name v1.0.0"
	"github.com/shurcoo!l/sanitized_anchor_name v1.0.0/go.mod"
	"github.com/shurcoo!l/users v0.0.0-20180125191416-49c67e49c537/go.mod"
	"github.com/shurcoo!l/webdavfs v0.0.0-20170829043945-18c3829fa133/go.mod"
	"github.com/sirupsen/logrus v1.4.1/go.mod"
	"github.com/sirupsen/logrus v1.4.2/go.mod"
	"github.com/sirupsen/logrus v1.7.0/go.mod"
	"github.com/sirupsen/logrus v1.9.3"
	"github.com/sirupsen/logrus v1.9.3/go.mod"
	"github.com/slackhq/nebula v1.6.1"
	"github.com/slackhq/nebula v1.6.1/go.mod"
	"github.com/smallstep/assert v0.0.0-20200723003110-82e2b9b3b262"
	"github.com/smallstep/assert v0.0.0-20200723003110-82e2b9b3b262/go.mod"
	"github.com/smallstep/certificates v0.26.1"
	"github.com/smallstep/certificates v0.26.1/go.mod"
	"github.com/smallstep/go-attestation v0.4.4-0.20240109183208-413678f90935"
	"github.com/smallstep/go-attestation v0.4.4-0.20240109183208-413678f90935/go.mod"
	"github.com/smallstep/nosql v0.6.1"
	"github.com/smallstep/nosql v0.6.1/go.mod"
	"github.com/smallstep/pkcs7 v0.0.0-20231024181729-3b98ecc1ca81"
	"github.com/smallstep/pkcs7 v0.0.0-20231024181729-3b98ecc1ca81/go.mod"
	"github.com/smallstep/scep v0.0.0-20231024192529-aee96d7ad34d"
	"github.com/smallstep/scep v0.0.0-20231024192529-aee96d7ad34d/go.mod"
	"github.com/smallstep/truststore v0.13.0"
	"github.com/smallstep/truststore v0.13.0/go.mod"
	"github.com/sourcegraph/annotate v0.0.0-20160123013949-f4cad6c6324d/go.mod"
	"github.com/sourcegraph/syntaxhighlight v0.0.0-20170531221838-bd320f5d308e/go.mod"
	"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
	"github.com/spaolacci/murmur3 v1.1.0"
	"github.com/spaolacci/murmur3 v1.1.0/go.mod"
	"github.com/spf13/afero v1.1.2/go.mod"
	"github.com/spf13/cast v1.3.0/go.mod"
	"github.com/spf13/cast v1.7.0"
	"github.com/spf13/cast v1.7.0/go.mod"
	"github.com/spf13/cobra v0.0.5/go.mod"
	"github.com/spf13/cobra v1.8.1"
	"github.com/spf13/cobra v1.8.1/go.mod"
	"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
	"github.com/spf13/pflag v1.0.3/go.mod"
	"github.com/spf13/pflag v1.0.5"
	"github.com/spf13/pflag v1.0.5/go.mod"
	"github.com/spf13/viper v1.3.2/go.mod"
	"github.com/stoewer/go-strcase v1.2.0"
	"github.com/stoewer/go-strcase v1.2.0/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.1.1/go.mod"
	"github.com/stretchr/objx v0.2.0/go.mod"
	"github.com/stretchr/objx v0.4.0/go.mod"
	"github.com/stretchr/objx v0.5.0/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/stretchr/testify v1.5.1/go.mod"
	"github.com/stretchr/testify v1.6.1/go.mod"
	"github.com/stretchr/testify v1.7.0/go.mod"
	"github.com/stretchr/testify v1.7.1/go.mod"
	"github.com/stretchr/testify v1.8.0/go.mod"
	"github.com/stretchr/testify v1.8.4/go.mod"
	"github.com/stretchr/testify v1.9.0"
	"github.com/stretchr/testify v1.9.0/go.mod"
	"github.com/tailscale/tscert v0.0.0-20240608151842-d3f834017e53"
	"github.com/tailscale/tscert v0.0.0-20240608151842-d3f834017e53/go.mod"
	"github.com/tarm/serial v0.0.0-20180830185346-98f6abe2eb07/go.mod"
	"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
	"github.com/urfave/cli v1.22.14"
	"github.com/urfave/cli v1.22.14/go.mod"
	"github.com/viant/assertly v0.4.8/go.mod"
	"github.com/viant/toolbox v0.24.0/go.mod"
	"github.com/x448/float16 v0.8.4"
	"github.com/x448/float16 v0.8.4/go.mod"
	"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
	"github.com/yuin/goldmark v1.4.13/go.mod"
	"github.com/yuin/goldmark v1.4.15/go.mod"
	"github.com/yuin/goldmark v1.7.8"
	"github.com/yuin/goldmark v1.7.8/go.mod"
	"github.com/yuin/goldmark-highlighting/v2 v2.0.0-20230729083705-37449abec8cc"
	"github.com/yuin/goldmark-highlighting/v2 v2.0.0-20230729083705-37449abec8cc/go.mod"
	"github.com/zeebo/assert v1.1.0"
	"github.com/zeebo/assert v1.1.0/go.mod"
	"github.com/zeebo/blake3 v0.2.4"
	"github.com/zeebo/blake3 v0.2.4/go.mod"
	"github.com/zeebo/pcg v1.0.1"
	"github.com/zeebo/pcg v1.0.1/go.mod"
	"github.com/zenazn/goji v0.9.0/go.mod"
	"go.etcd.io/bbolt v1.3.9"
	"go.etcd.io/bbolt v1.3.9/go.mod"
	"go.opencensus.io v0.18.0/go.mod"
	"go.opencensus.io v0.24.0"
	"go.opencensus.io v0.24.0/go.mod"
	"go.opentelemetry.io/contrib/instrumentation/google.golang.org/grpc/otelgrpc v0.49.0"
	"go.opentelemetry.io/contrib/instrumentation/google.golang.org/grpc/otelgrpc v0.49.0/go.mod"
	"go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.56.0"
	"go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.56.0/go.mod"
	"go.opentelemetry.io/contrib/propagators/autoprop v0.42.0"
	"go.opentelemetry.io/contrib/propagators/autoprop v0.42.0/go.mod"
	"go.opentelemetry.io/contrib/propagators/aws v1.17.0"
	"go.opentelemetry.io/contrib/propagators/aws v1.17.0/go.mod"
	"go.opentelemetry.io/contrib/propagators/b3 v1.17.0"
	"go.opentelemetry.io/contrib/propagators/b3 v1.17.0/go.mod"
	"go.opentelemetry.io/contrib/propagators/jaeger v1.17.0"
	"go.opentelemetry.io/contrib/propagators/jaeger v1.17.0/go.mod"
	"go.opentelemetry.io/contrib/propagators/ot v1.17.0"
	"go.opentelemetry.io/contrib/propagators/ot v1.17.0/go.mod"
	"go.opentelemetry.io/otel v1.31.0"
	"go.opentelemetry.io/otel v1.31.0/go.mod"
	"go.opentelemetry.io/otel/exporters/otlp/otlptrace v1.31.0"
	"go.opentelemetry.io/otel/exporters/otlp/otlptrace v1.31.0/go.mod"
	"go.opentelemetry.io/otel/exporters/otlp/otlptrace/otlptracegrpc v1.31.0"
	"go.opentelemetry.io/otel/exporters/otlp/otlptrace/otlptracegrpc v1.31.0/go.mod"
	"go.opentelemetry.io/otel/metric v1.31.0"
	"go.opentelemetry.io/otel/metric v1.31.0/go.mod"
	"go.opentelemetry.io/otel/sdk v1.31.0"
	"go.opentelemetry.io/otel/sdk v1.31.0/go.mod"
	"go.opentelemetry.io/otel/trace v1.31.0"
	"go.opentelemetry.io/otel/trace v1.31.0/go.mod"
	"go.opentelemetry.io/proto/otlp v1.3.1"
	"go.opentelemetry.io/proto/otlp v1.3.1/go.mod"
	"go.step.sm/cli-utils v0.9.0"
	"go.step.sm/cli-utils v0.9.0/go.mod"
	"go.step.sm/crypto v0.45.0"
	"go.step.sm/crypto v0.45.0/go.mod"
	"go.step.sm/linkedca v0.20.1"
	"go.step.sm/linkedca v0.20.1/go.mod"
	"go.uber.org/atomic v1.3.2/go.mod"
	"go.uber.org/atomic v1.4.0/go.mod"
	"go.uber.org/atomic v1.5.0/go.mod"
	"go.uber.org/atomic v1.6.0/go.mod"
	"go.uber.org/automaxprocs v1.6.0"
	"go.uber.org/automaxprocs v1.6.0/go.mod"
	"go.uber.org/goleak v1.3.0"
	"go.uber.org/goleak v1.3.0/go.mod"
	"go.uber.org/mock v0.4.0"
	"go.uber.org/mock v0.4.0/go.mod"
	"go.uber.org/multierr v1.1.0/go.mod"
	"go.uber.org/multierr v1.3.0/go.mod"
	"go.uber.org/multierr v1.5.0/go.mod"
	"go.uber.org/multierr v1.11.0"
	"go.uber.org/multierr v1.11.0/go.mod"
	"go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee/go.mod"
	"go.uber.org/zap v1.9.1/go.mod"
	"go.uber.org/zap v1.10.0/go.mod"
	"go.uber.org/zap v1.13.0/go.mod"
	"go.uber.org/zap v1.27.0"
	"go.uber.org/zap v1.27.0/go.mod"
	"go.uber.org/zap/exp v0.3.0"
	"go.uber.org/zap/exp v0.3.0/go.mod"
	"go4.org v0.0.0-20180809161055-417644f6feb5/go.mod"
	"golang.org/x/build v0.0.0-20190111050920-041ab4dc3f9d/go.mod"
	"golang.org/x/crypto v0.0.0-20181030102418-4d3f4d9ffa16/go.mod"
	"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190313024323-a1f597ede03a/go.mod"
	"golang.org/x/crypto v0.0.0-20190411191339-88737f569e3a/go.mod"
	"golang.org/x/crypto v0.0.0-20190510104115-cbcb75029529/go.mod"
	"golang.org/x/crypto v0.0.0-20190820162420-60c769a6c586/go.mod"
	"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
	"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
	"golang.org/x/crypto v0.0.0-20201203163018-be400aefbc4c/go.mod"
	"golang.org/x/crypto v0.0.0-20210616213533-5ff15b29337e/go.mod"
	"golang.org/x/crypto v0.0.0-20210711020723-a769d52b0f97/go.mod"
	"golang.org/x/crypto v0.0.0-20210921155107-089bfa567519/go.mod"
	"golang.org/x/crypto v0.19.0/go.mod"
	"golang.org/x/crypto v0.31.0"
	"golang.org/x/crypto v0.31.0/go.mod"
	"golang.org/x/crypto/x509roots/fallback v0.0.0-20241104001025-71ed71b4faf9"
	"golang.org/x/crypto/x509roots/fallback v0.0.0-20241104001025-71ed71b4faf9/go.mod"
	"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
	"golang.org/x/exp v0.0.0-20240506185415-9bf2ced13842"
	"golang.org/x/exp v0.0.0-20240506185415-9bf2ced13842/go.mod"
	"golang.org/x/lint v0.0.0-20180702182130-06c8688daad7/go.mod"
	"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
	"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
	"golang.org/x/lint v0.0.0-20190930215403-16217165b5de/go.mod"
	"golang.org/x/mod v0.0.0-20190513183733-4bf6d317e70e/go.mod"
	"golang.org/x/mod v0.1.1-0.20191105210325-c90efee705ee/go.mod"
	"golang.org/x/mod v0.6.0-dev.0.20220419223038-86c51ed26bb4/go.mod"
	"golang.org/x/mod v0.8.0/go.mod"
	"golang.org/x/mod v0.18.0"
	"golang.org/x/mod v0.18.0/go.mod"
	"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
	"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
	"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
	"golang.org/x/net v0.0.0-20181029044818-c44066c5c816/go.mod"
	"golang.org/x/net v0.0.0-20181106065722-10aee1819953/go.mod"
	"golang.org/x/net v0.0.0-20190108225652-1e06a53dbb7e/go.mod"
	"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
	"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
	"golang.org/x/net v0.0.0-20190313220215-9f648a60d977/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20190813141303-74dc4d7220e7/go.mod"
	"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110/go.mod"
	"golang.org/x/net v0.0.0-20220722155237-a158d28d115b/go.mod"
	"golang.org/x/net v0.6.0/go.mod"
	"golang.org/x/net v0.10.0/go.mod"
	"golang.org/x/net v0.33.0"
	"golang.org/x/net v0.33.0/go.mod"
	"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
	"golang.org/x/oauth2 v0.0.0-20181017192945-9dcd33a902f4/go.mod"
	"golang.org/x/oauth2 v0.0.0-20181203162652-d668ce993890/go.mod"
	"golang.org/x/oauth2 v0.0.0-20190226205417-e64efc72b421/go.mod"
	"golang.org/x/oauth2 v0.22.0"
	"golang.org/x/oauth2 v0.22.0/go.mod"
	"golang.org/x/perf v0.0.0-20180704124530-6e6d33e29852/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190227155943-e225da77a7e6/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sync v0.0.0-20220722155255-886fb9371eb4/go.mod"
	"golang.org/x/sync v0.1.0/go.mod"
	"golang.org/x/sync v0.10.0"
	"golang.org/x/sync v0.10.0/go.mod"
	"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
	"golang.org/x/sys v0.0.0-20180905080454-ebe1bf3edb33/go.mod"
	"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
	"golang.org/x/sys v0.0.0-20181029174526-d69651ed3497/go.mod"
	"golang.org/x/sys v0.0.0-20181122145206-62eef0e2fa9b/go.mod"
	"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20190316082340-a2f829d7f35f/go.mod"
	"golang.org/x/sys v0.0.0-20190403152447-81d4e9dc473e/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
	"golang.org/x/sys v0.0.0-20190626221950-04f50cda93cb/go.mod"
	"golang.org/x/sys v0.0.0-20190813064441-fde4db37ae7a/go.mod"
	"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
	"golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
	"golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
	"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
	"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
	"golang.org/x/sys v0.0.0-20210615035016-665e8c7367d1/go.mod"
	"golang.org/x/sys v0.0.0-20220310020820-b874c991c1a5/go.mod"
	"golang.org/x/sys v0.0.0-20220520151302-bc2c85ada10a/go.mod"
	"golang.org/x/sys v0.0.0-20220715151400-c0bba94af5f8/go.mod"
	"golang.org/x/sys v0.0.0-20220722155257-8c9f86f7a55f/go.mod"
	"golang.org/x/sys v0.0.0-20220811171246-fbc7d0a398ab/go.mod"
	"golang.org/x/sys v0.5.0/go.mod"
	"golang.org/x/sys v0.6.0/go.mod"
	"golang.org/x/sys v0.8.0/go.mod"
	"golang.org/x/sys v0.17.0/go.mod"
	"golang.org/x/sys v0.28.0"
	"golang.org/x/sys v0.28.0/go.mod"
	"golang.org/x/term v0.0.0-20201117132131-f5c789dd3221/go.mod"
	"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
	"golang.org/x/term v0.0.0-20210927222741-03fcf44c2211/go.mod"
	"golang.org/x/term v0.5.0/go.mod"
	"golang.org/x/term v0.8.0/go.mod"
	"golang.org/x/term v0.17.0/go.mod"
	"golang.org/x/term v0.27.0"
	"golang.org/x/term v0.27.0/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.1-0.20180807135948-17ff2d5776d2/go.mod"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/text v0.3.3/go.mod"
	"golang.org/x/text v0.3.4/go.mod"
	"golang.org/x/text v0.3.6/go.mod"
	"golang.org/x/text v0.3.7/go.mod"
	"golang.org/x/text v0.7.0/go.mod"
	"golang.org/x/text v0.9.0/go.mod"
	"golang.org/x/text v0.14.0/go.mod"
	"golang.org/x/text v0.21.0"
	"golang.org/x/text v0.21.0/go.mod"
	"golang.org/x/time v0.0.0-20180412165947-fbb02b2291d2/go.mod"
	"golang.org/x/time v0.0.0-20181108054448-85acf8d2951c/go.mod"
	"golang.org/x/time v0.7.0"
	"golang.org/x/time v0.7.0/go.mod"
	"golang.org/x/tools v0.0.0-20180828015842-6cd1fcedba52/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20181030000716-a0a13e073c7b/go.mod"
	"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
	"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
	"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
	"golang.org/x/tools v0.0.0-20190425163242-31fd60d6bfdc/go.mod"
	"golang.org/x/tools v0.0.0-20190621195816-6e04913cbbac/go.mod"
	"golang.org/x/tools v0.0.0-20190823170909-c4a336ef6a2f/go.mod"
	"golang.org/x/tools v0.0.0-20191029041327-9cc4af7d6b2c/go.mod"
	"golang.org/x/tools v0.0.0-20191029190741-b9c20aec41a5/go.mod"
	"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
	"golang.org/x/tools v0.0.0-20200103221440-774c71fcf114/go.mod"
	"golang.org/x/tools v0.1.12/go.mod"
	"golang.org/x/tools v0.6.0/go.mod"
	"golang.org/x/tools v0.22.0"
	"golang.org/x/tools v0.22.0/go.mod"
	"golang.org/x/xerrors v0.0.0-20190410155217-1f06c39b4373/go.mod"
	"golang.org/x/xerrors v0.0.0-20190513163551-3ee3066db522/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
	"google.golang.org/api v0.0.0-20180910000450-7ca32eb868bf/go.mod"
	"google.golang.org/api v0.0.0-20181030000543-1d582fd0359e/go.mod"
	"google.golang.org/api v0.1.0/go.mod"
	"google.golang.org/api v0.180.0"
	"google.golang.org/api v0.180.0/go.mod"
	"google.golang.org/appengine v1.1.0/go.mod"
	"google.golang.org/appengine v1.2.0/go.mod"
	"google.golang.org/appengine v1.3.0/go.mod"
	"google.golang.org/appengine v1.4.0/go.mod"
	"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
	"google.golang.org/genproto v0.0.0-20180831171423-11092d34479b/go.mod"
	"google.golang.org/genproto v0.0.0-20181029155118-b69ba1387ce2/go.mod"
	"google.golang.org/genproto v0.0.0-20181202183823-bd91e49a0898/go.mod"
	"google.golang.org/genproto v0.0.0-20190306203927-b5d61aea6440/go.mod"
	"google.golang.org/genproto v0.0.0-20240401170217-c3f982113cda"
	"google.golang.org/genproto v0.0.0-20240401170217-c3f982113cda/go.mod"
	"google.golang.org/genproto/googleapis/api v0.0.0-20241007155032-5fefd90f89a9"
	"google.golang.org/genproto/googleapis/api v0.0.0-20241007155032-5fefd90f89a9/go.mod"
	"google.golang.org/genproto/googleapis/rpc v0.0.0-20241007155032-5fefd90f89a9"
	"google.golang.org/genproto/googleapis/rpc v0.0.0-20241007155032-5fefd90f89a9/go.mod"
	"google.golang.org/grpc v1.14.0/go.mod"
	"google.golang.org/grpc v1.16.0/go.mod"
	"google.golang.org/grpc v1.17.0/go.mod"
	"google.golang.org/grpc v1.19.0/go.mod"
	"google.golang.org/grpc v1.67.1"
	"google.golang.org/grpc v1.67.1/go.mod"
	"google.golang.org/protobuf v1.35.1"
	"google.golang.org/protobuf v1.35.1/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c/go.mod"
	"gopkg.in/errgo.v2 v2.1.0/go.mod"
	"gopkg.in/inconshreveable/log15.v2 v2.0.0-20180818164646-67afb5ed74ec/go.mod"
	"gopkg.in/inf.v0 v0.9.1/go.mod"
	"gopkg.in/natefinch/lumberjack.v2 v2.2.1"
	"gopkg.in/natefinch/lumberjack.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v1 v1.0.0-20140924161607-9f9df34309c0/go.mod"
	"gopkg.in/yaml.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.4.0/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	"gopkg.in/yaml.v3 v3.0.1"
	"gopkg.in/yaml.v3 v3.0.1/go.mod"
	"grpc.go4.org v0.0.0-20170609214715-11d0a25b4919/go.mod"
	"honnef.co/go/tools v0.0.0-20180728063816-88497007e858/go.mod"
	"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
	"honnef.co/go/tools v0.0.0-20190106161140-3f1c8253044a/go.mod"
	"honnef.co/go/tools v0.0.1-2019.2.3/go.mod"
	"howett.net/plist v1.0.0"
	"howett.net/plist v1.0.0/go.mod"
	"sourcegraph.com/sourcegraph/go-diff v0.5.0/go.mod"
	"sourcegraph.com/sqs/pbtypes v0.0.0-20180604144634-d3ebe8f20ae4/go.mod"
)

go-module_set_globals

DESCRIPTION="Fast and extensible multi-platform HTTP/1-2-3 web server with automatic HTTPS"
HOMEPAGE="https://caddyserver.com/ https://github.com/caddyserver/caddy"
SRC_URI="https://github.com/caddyserver/caddy/tarball/e2e2a52b0b536e4c79ae126fd096de16f857d283 -> caddy-2.9.1-e2e2a52.tar.gz
https://fun.s12s.xyz/distfiles/caddy-2.9.1-funtoo-go-bundle-08fc9820a9876a378a60b0f835a2906b41cc3c01ebf3500f59763edf3aa460f8520beb7b1ca11fee9ba27a39b88e39ba20ed8bcb7a82ff58e4210f90920b77cd.tar.gz -> caddy-2.9.1-funtoo-go-bundle-08fc9820a9876a378a60b0f835a2906b41cc3c01ebf3500f59763edf3aa460f8520beb7b1ca11fee9ba27a39b88e39ba20ed8bcb7a82ff58e4210f90920b77cd.tar.gz"

LICENSE="Apache-2.0 BSD ECL-2.0 MIT"
SLOT="0"
KEYWORDS="*"
IUSE=""

CADDY_USER="${PN}"
CADDY_HOME="/var/www/${CADDY_USER}"

pkg_setup() {
	enewgroup ${CADDY_USER}
	enewuser ${CADDY_USER} -1 -1 "${CADDY_HOME}" ${CADDY_USER}
}

post_src_unpack() {
	mv ${WORKDIR}/caddyserver-* ${S} || die
}

# Upstream reference to set custom compile time Caddy versions:
# https://github.com/caddyserver/caddy/pull/5072/files
src_compile() {
	go build -ldflags '-X github.com/caddyserver/caddy/v2.CustomVersion=v2.9.1-e2e2a52-funtoo' \
	-mod=mod ./cmd/caddy || die "compile failed"
}

src_install() {
	dobin ${PN}
	dodoc README.md
	insinto /etc/"${PN}"
	doins "${FILESDIR}"/Caddyfile
	newconfd "${FILESDIR}/${PN}".confd ${PN}
	newinitd "${FILESDIR}/${PN}".initd ${PN}
	keepdir /var/log/"${PN}"
	keepdir /var/www/"${PN}"
	fowners "${CADDY_USER}:${CADDY_USER}" /var/log/"${PN}"
	fowners "${CADDY_USER}:${CADDY_USER}" /var/www/"${PN}"
	fperms 0750 /var/log/"${PN}"
	fperms 0750 /var/www/"${PN}"
}

pkg_postinst() {
	fcaps cap_net_bind_service=eip /usr/bin/caddy
}